Typedefs | Functions

# memory_.h File Reference

Go to the source code of this file.

## Typedefs
typedef void *(* | AcquireMemoryHandler )(size_t)
typedef void *(*)(* | DestroyMemoryHandler )(void *)
typedef void *(*)(*)*(* | ResizeMemoryHandler )(void *, size_t)
## Functions
WizardExport void * | AcquireAlignedMemory (const size_t, const size_t) wizard_attribute((malloc))
WizardExport void ** | AcquireWizardMemory (const size_t) wizard_attribute((malloc))
WizardExport void *** | AcquireQuantumMemory (const size_t, const size_t) wizard_attribute((malloc))
WizardExport void **** | CopyWizardMemory (void *, const void *, const size_t) wizard_attribute((nonnull))
WizardExport void **** | DestroyWizardMemory (void)
WizardExport void **** | GetWizardMemoryMethods (AcquireMemoryHandler *, ResizeMemoryHandler *, DestroyMemoryHandler *)
WizardExport void ***** | RelinquishAlignedMemory (void *)
WizardExport void ****** | RelinquishWizardMemory (void *)
WizardExport void ******* | ResetWizardMemory (void *, int, const size_t)
WizardExport void ******** | ResizeWizardMemory (void *, const size_t)
WizardExport void ********* | ResizeQuantumMemory (void *, const size_t, const size_t)
WizardExport void ********* | SetWizardMemoryMethods (AcquireMemoryHandler, ResizeMemoryHandler, DestroyMemoryHandler)

## Typedef Documentation

typedef void*(* AcquireMemoryHandler)(size_t)

typedef void*(*)(* DestroyMemoryHandler)(void *)

typedef void*(*)(*) *(* ResizeMemoryHandler)(void *, size_t)

## Function Documentation

WizardExport void* AcquireAlignedMemory | ( | const | size_t,
|  | const | size_t |
| ) |  |  |

WizardExport void* * * AcquireQuantumMemory | ( | const | size_t,
|  | const | size_t |
| ) |  |  |

WizardExport void* * AcquireWizardMemory | ( | const | size_t | ) |

WizardExport void* * * * CopyWizardMemory | ( | void * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

WizardExport void* * * * DestroyWizardMemory | ( | void |  | ) |

WizardExport void* * * * GetWizardMemoryMethods | ( | AcquireMemoryHandler * | ,
|  | ResizeMemoryHandler * | ,
|  | DestroyMemoryHandler * |  |
| ) |  |  |

WizardExport void* * * * * RelinquishAlignedMemory | ( | void * |  | ) |

WizardExport void* * * * * * RelinquishWizardMemory | ( | void * |  | ) |

WizardExport void* * * * * * * ResetWizardMemory | ( | void * | ,
|  | int | ,
|  | const | size_t |
| ) |  |  |

WizardExport void* * * * * * * * * ResizeQuantumMemory | ( | void * | ,
|  | const | size_t,
|  | const | size_t |
| ) |  |  |

WizardExport void* * * * * * * * ResizeWizardMemory | ( | void * | ,
|  | const | size_t |
| ) |  |  |

WizardExport void* * * * * * * * * SetWizardMemoryMethods | ( | AcquireMemoryHandler | ,
|  | ResizeMemoryHandler | ,
|  | DestroyMemoryHandler |  |
| ) |  |  |

References _WizardMemoryMethods::acquire_memory_handler, _WizardMemoryMethods::destroy_memory_handler, memory_methods, and _WizardMemoryMethods::resize_memory_handler.